import * as _backstage_plugin_auth_node from '@backstage/plugin-auth-node';
import { PassportOAuthAuthenticatorHelper, PassportProfile, OAuthAuthenticatorResult } from '@backstage/plugin-auth-node';
import * as _backstage_backend_plugin_api from '@backstage/backend-plugin-api';

/** @public */
declare const gitlabAuthenticator: _backstage_plugin_auth_node.OAuthAuthenticator<PassportOAuthAuthenticatorHelper, PassportProfile>;

/** @public */
declare const authModuleGitlabProvider: _backstage_backend_plugin_api.BackendFeature;

/**
 * Available sign-in resolvers for the GitLab auth provider.
 *
 * @public
 */
declare namespace gitlabSignInResolvers {
    /**
     * Looks up the user by matching their GitLab username to the entity name.
     */
    const usernameMatchingUserEntityName: _backstage_plugin_auth_node.SignInResolverFactory<OAuthAuthenticatorResult<PassportProfile>, unknown>;
}

export { authModuleGitlabProvider as default, gitlabAuthenticator, gitlabSignInResolvers };
