'use strict';

var pluginAuthNode = require('@backstage/plugin-auth-node');

exports.gitlabSignInResolvers = void 0;
((gitlabSignInResolvers2) => {
  gitlabSignInResolvers2.usernameMatchingUserEntityName = pluginAuthNode.createSignInResolverFactory({
    create() {
      return async (info, ctx) => {
        const { result } = info;
        const id = result.fullProfile.username;
        if (!id) {
          throw new Error(`GitLab user profile does not contain a username`);
        }
        return ctx.signInWithCatalogUser({ entityRef: { name: id } });
      };
    }
  });
})(exports.gitlabSignInResolvers || (exports.gitlabSignInResolvers = {}));
//# sourceMappingURL=resolvers.cjs.js.map
